package TodoListApp;

import java.util.Scanner;

import TodoListApp.Domain.*;

public class UserInterface {
	private TaskList tasks;
	
	UserInterface() {
		tasks = new TaskList();
		
	}
	public void startProgramm(){
		Scanner eingabe = new Scanner(System.in);
		String optionAuswahl;
		String title;
		String beschreibung; 
		String taskprioritaet;
		boolean aktiv = true;
		System.out.println();
		System.out.println("<<Willkommen in meinem ToDo-List Programm>>");
		System.out.println();
		while (aktiv) {
			System.out.println();
			System.out.println("Wählen Sie Options bitte ein:");
			System.out.println("1. Task hinzufügen");
			System.out.println("2. Zeige Alle Tasks");
			System.out.println("5. Programm beenden");
			System.out.print(">");
			optionAuswahl = eingabe.nextLine().trim();
			switch (optionAuswahl) {
				case "1":
					System.out.println("Geben Sie Task ein: (title,beschreibung,taskprioritaet[niedrig,mittel,hoch]");
					System.out.print("Title:");
					System.out.print("> ");
					title = eingabe.nextLine().trim();
					
					System.out.print("Beschreibung:");
					System.out.print("> ");
					beschreibung = eingabe.nextLine().trim();
					
					System.out.print("Taskpriorität:");
					System.out.print("> ");
					taskprioritaet = eingabe.nextLine().trim();
//					if (tasks.addTask(title, beschreibung, taskprioritaet))
//						System.out.println("Task erfolgreich hinzugefügt");
					break;
				
				case "2":
					for (String t : tasks.printAllTask())
						System.out.println(t);
					break;
				
				case "5":
					aktiv = false;
					eingabe.close();
					System.out.println("Programm wird beendet!");
			}
		}
	
	}
	
	
}
